# This file created by conda-build 3.16.2
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/notebook-5.7.2-python_3.6-on-linux_32, last modified Mon Nov 19 14:40:16 2018
# ------------------------------------------------

package:
    name: notebook
    version: 5.7.2
source:
    fn: notebook-5.7.2.tar.gz
    sha256: 91705b109fc785198faed892489cddb233265564d5e2dad5e4f7974af05ee8dd
    url: https://pypi.io/packages/source/n/notebook/notebook-5.7.2.tar.gz
build:
    entry_points:
        - jupyter-bundlerextension = notebook.bundler.bundlerextensions:main
        - jupyter-nbextension = notebook.nbextensions:main
        - jupyter-notebook = notebook.notebookapp:main
        - jupyter-serverextension = notebook.serverextensions:main
    number: '0'
    string: py36_0
requirements:
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.10.15 py36_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 8.2.0 h9268252_1
        - libstdcxx-ng 8.2.0 h9268252_1
        - ncurses 6.1 hf484d3e_0
        - openssl 1.1.1 h7b6447c_0
        - pip 18.1 py36_0
        - python 3.6.7 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 40.6.2 py36_0
        - sqlite 3.25.3 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.32.2 py36_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h907e355_2
    run:
        - ipykernel
        - ipython_genutils
        - jinja2
        - jupyter_client >=5.2.0
        - jupyter_core >=4.4.0
        - nbconvert
        - nbformat
        - prometheus_client
        - python >=3.6,<3.7.0a0
        - pyzmq >=17
        - send2trash
        - terminado >=0.8.1
        - tornado >=4
        - traitlets >=4.2.1
test:
    commands:
        - jupyter notebook -h
        - jupyter nbextension -h
        - jupyter serverextension -h
        - jupyter bundlerextension -h
    imports:
        - notebook
app:
    cli_opts:
        -   args: --port %s
            default: '8080'
            name: port
            summary: Server port ...
    entry: jupyter-notebook
    icon: jupyter.png
    summary: Jupyter Notebook
    type: web
about:
    description: 'Jupyter Notebook is a web application, a browser-based tool for
        interactive

        authoring of documents which combine explanatory text, mathematics, computations

        and their rich media output.

        '
    dev_url: https://github.com/jupyter/notebook
    doc_source_url: https://github.com/jupyter/notebook/blob/master/docs/source/index.rst
    doc_url: https://jupyter-notebook.readthedocs.org/en/latest/
    home: http://jupyter.org
    license: BSD 3-clause
    license_family: BSD
    license_file: COPYING.md
    summary: A web-based notebook environment for interactive computing
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - SylvainCorlay
        - gnestor
        - jakirkham
        - minrk
        - pelson
        - takluyver
